[RESOLU]Versionning PHP et MySQL

Installation, utilisation, paramétrage de SMI sous Gnu/Linux

[RESOLU]Versionning PHP et MySQL

Messagepar johnnyb » Jeu Mars 20, 2014 8:23 pm

Salut,

Il est impossible aujourd'hui d'exploiter SMI 0.9.9z avec des distributions comme Debian/Ubuntu, CentOS ou FedoraCore

Les problèmes viennent du versionning de PHP et MySQL qui évoluent rapidement.

Avec Debian Squeeze et Wheezy la 0.9.9z ne fonctionne pas en PHP 5.3 et 5.4 (ou alors il manque les patch ou des librairies)

Code: Tout sélectionner
PHP Fatal error:  Cannot redeclare tronquetxt() (previously declared in /var/www/inc/func_txt.inc.php:39) in /var/www/smi/inc/func_txt.inc.php on line 47


Il est essentiel de fixer des prérequis de versions PHP et Mysql selon les dernières release d'un soft basé sur ces outils. Les évolutions sont trop fréquentes, apportent des nouveautés donc se baser sur une chaine > php 5.0 ou Mylsql et très instable pour un déploiement correct.

est ce qu'il est possible que tu valides les versions php et mysql selon les versions SMI Galawa ? ;)

Merci !
Modifié en dernier par johnnyb le Lun Mars 24, 2014 2:02 pm, modifié 1 fois.
johnnyb
Membre
 
Messages: 20
Enregistré le: Jeu Mars 20, 2014 12:14 pm

Re: Versionning PHP et MySQL

Messagepar Galawa » Jeu Mars 20, 2014 10:43 pm

Bonsoir,

Je suis plutôt surpris.

SMI tourne actuellement sur des serveur UBUNTU, DEBIAN, OPENSUSE, RED HAT, et FEDORA, sur de nombreuses versions, jusqu'aux dernières.

Nous avons même installé SMI sur des serveur SME.

Nous avons validé tout cela avec les dernières versions de PHP (jusqu'à la 5.5.9), et MySQL (Jusqu'à la 5.6.16).

Quand à vos remarques concernant XAMPP, nos serveurs de tests Windows tournent sans aucun problème avec les dernières versions de ce package (j'ai encore travaillé avec la bêta 3 de la prochaine version cet AM sur le dernier package XAMPP !).

Je ne pense donc pas que le problème soit là, mais, soit dans l'installation à proprement parler, soit dans vos bases MySQL.

Bonne soirée.

Galawa
Gestionnaire du projet SMI
Galawa
Site Admin
 
Messages: 1354
Enregistré le: Jeu Fév 22, 2007 11:26 am

Re: Versionning PHP et MySQL

Messagepar johnnyb » Ven Mars 21, 2014 9:41 am

Bonjour !

Merci pour vos réponses

Je vais repartir sur des fresh install, en revanche c'est plutot étrange, j'ai testé sur 3 distributions différentes et j'ai les mêmes problèmes sachant que cela concerne à la fois Mysql et PHP comme vu dans les logs d'erreurs.

Je recommence et alimente le post

Merci !
johnnyb
Membre
 
Messages: 20
Enregistré le: Jeu Mars 20, 2014 12:14 pm

Re: Versionning PHP et MySQL

Messagepar Galawa » Ven Mars 21, 2014 6:04 pm

Bonjour,

"A la limite", installez la base MySQL avec PHPMyAdmin, copiez les fichiers par FTP (en ayant modifié le config.inc.php à la main, en fonction de vos paramètres).

Bonne fin de journée.

Galawa
Gestionnaire du projet SMI
Galawa
Site Admin
 
Messages: 1354
Enregistré le: Jeu Fév 22, 2007 11:26 am

[RESOLU] Re: Versionning PHP et MySQL

Messagepar johnnyb » Lun Mars 24, 2014 12:29 pm

Bonjour !

Je suis parti sur une fresh install de la derniere release Ubuntu cela fonctionne bien.

Je n'ai pas encore validé les autres distrib par manque de temps mais je pars sur Ubuntu. ( a mon grand désarrois ;))


Code: Tout sélectionner
PHP 5.5.3-1ubuntu2.2 (cli) (built: Feb 28 2014 20:06:05)

Code: Tout sélectionner
mysql  Ver 14.14 Distrib 5.5.35, for debian-linux-gnu (x86_64) using readline 6.2

Code: Tout sélectionner
Server version: Apache/2.4.7 (Debian)
Server built:   Jan  2 2014 01:47:52
johnnyb
Membre
 
Messages: 20
Enregistré le: Jeu Mars 20, 2014 12:14 pm


Retour vers SMI sous Gnu/Linux

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité

cron